﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
    font-family: sans-serif !important;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 300px;
}

/* Set custom styles for jersey-shore-tees */

.jst-title {
    color: black;
    font-size: 24pt;
    font-family: 'Times New Roman', Times, serif;
    text-decoration: none;
    text-align: center;
}

.jst-title:link,
.jst-title:focus,
.jst-title:visited {
    color: black;
    font-size: 24pt;
    font-family: 'Times New Roman', Times, serif;
    text-decoration: none;
    text-align: center;
}

.jst-title:hover,
.jst-title:active {
    color: black;
    font-size: 24pt;
    font-family: 'Times New Roman', Times, serif;
    text-decoration: none;
    text-align: center;
}

.jst-subtitle {
    color: black;
    font-size: 20pt;
    font-family: 'Times New Roman', Times, serif;
    text-decoration: none;
    text-align: center;
}

.jst-subtitle:link,
.jst-subtitle:focus,
.jst-subtitle:visited {
    color: black;
    font-size: 20pt;
    font-family: 'Times New Roman', Times, serif;
    text-decoration: none;
    text-align: center;
}

.jst-subtitle:hover,
.jst-subtitle:active {
    color: black;
    font-size: 20pt;
    font-family: 'Times New Roman', Times, serif;
    text-decoration: none;
    text-align: center;
}

.jst-narrative {
    color: gray;
    font-style: italic;
    text-decoration: none;
    text-align: right;
}

.jst-narrative:link,
.jst-narrative:focus,
.jst-narrative:visited {
    color: gray;
    font-style: italic;
    text-decoration: none;
    text-align: right;
}

.jst-narrative:hover,
.jst-narrative:active {
    color: gray;
    font-style: italic;
    text-decoration: none;
    text-align: right;
}

/* misc */

a.site-glyph {
    color: #00c !important;
    font-size: large !important;
    text-decoration: none !important;
    text-align: left !important;
    align-content: center;
}

a.site-glyph:link,
a.site-glyph:focus,
a.site-glyph:visited {
    color: #00c !important;
    font-size: large !important;
    text-decoration: none !important;
    text-align: left !important;
}

a.site-glyph:hover,
a.site-glyph:active {
    color: #c00 !important;
    font-size: large !important;
    text-decoration: none !important;
    text-align: left !important;
}

.site-nav {
    font-family: sans-serif !important;
}

.site-container {
    white-space: nowrap !important;
    max-height: 55px;
    overflow-x: hidden;
    overflow-y: hidden;
}

.site-form {
    line-height: 2.5 !important;
    font-size: medium !important;
    color: black !important;
}

.site-form-label {
    font-weight: bold !important;
    font-size: 16px !important;
}

.site-form-text {
    height: 25px !important;
}

.site-list-form {
    vertical-align: middle !important;
    padding-left: 0px;
    margin-left: 0px
}

.site-list-form-button {
    color: darkred !important;
    font-weight: bold !important;
    background-color: transparent !important;
    text-decoration: none !important;
    border: 0 !important;
    border-color: transparent !important;
    padding-left: 0px;
    margin-left: 0px
}

.site-nav {
    font-family: sans-serif !important;
}

/* contact styles **/

.contact-error {
    color: darkred;
    font-size: small;
    margin-right: 20px;
    text-align: right;
}

/* override some styles */

.btn-primary,
.btn-primary:link,
.btn-primary:visited,
.btn-primary:focus {
    height: 30px;
    width: 100px;
    font-weight: bold;
    margin-bottom: 9px;
}

.btn-primary:hover,
.btn-primary:active {
    height: 30px;
    width: 100px;
    font-weight: bold;
    margin-bottom: 9px;
}

.btn-warning,
.btn-warning:link,
.btn-warning:visited,
.btn-warning:focus {
    height: 30px;
    width: 100px;
    font-weight: bold;
    margin-bottom: 9px;
}

.btn-warning:hover,
.btn-warning:active {
    height: 30px;
    width: 100px;
    font-weight: bold;
    margin-bottom: 9px;
}

.btn-success,
.btn-success:link,
.btn-success:visited,
.btn-success:focus {
    height: 18px;
    width: 50px;
    font-weight: bold;
    padding: 0px 6px;
}

.btn-success:hover,
.btn-success:active {
    height: 18px;
    width: 50px;
    font-weight: bold;
    padding: 0px 6px;
}

.btn-info,
.btn-info:link,
.btn-info:visited,
.btn-info:focus {
    height: 25px;
    width: 80px;
    font-weight: bold;
    padding: 0px 6px;
}

.btn-info:hover,
.btn-info:active {
    height: 25px;
    width: 80px;
    font-weight: bold;
    padding: 0px 6px;
}

hr.dashed {
    border-top: 1px dashed;
}

hr.dotted {
    border-top: 1px dotted;
}

/* placeholder styles */

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #c0c0c0;
    opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #c0c0c0;
}

::-ms-input-placeholder { /* Microsoft Edge */
    color: #c0c0c0;
}

/* profile area styles */

#profileDisplayContainer {
    margin: 0 auto;
    width: 850px;
}

#profileImageContainer {
    width: 220px;
    height: 220px;
    border: 1px solid;
    border-color: #A0C0E0;
    border-radius: 20px;
    position: absolute;
    margin-top: -50px;
    margin-left: 20px;
    overflow: hidden;
    background-color: white;
    z-index: 950;
}

#profileImageArea {
    width: 200px;
    height: 200px;
    position: relative;
    margin-top: 10px;
    border-radius: 20px;
    overflow: hidden;
    background-color: white;
}

.profileUploadButton {
    position: absolute;
    margin-top: 120px;
    margin-left: 190px;
    height: 32px;
    width: 32px;
}

.profileFileInput {
    height: 25px;
    cursor: pointer;
}

.profileUploadButtonFile {
    background: url('../../Images/support/whitecam.png') no-repeat;
    height: 32px;
    width: 32px;
    overflow: hidden;
    cursor: pointer;
    z-index: 960;
}

    .profileUploadButtonFile input {
        filter: alpha(opacity=0);
        opacity: 0;
    }

#profileName {
    border: 0px;
    color: #007788;
    background-color: white;
    margin-top: 0px;
    padding-right: 10px;
    font-size: 18px;
    font-weight: bold;
    width: 830px;
    position: relative;
    text-rendering: optimizelegibility;
    text-shadow: 0 0 1px rgba(0,0,0,.5);
    z-index: 900;
}

#profileTopicName {
    border: 0px;
    color: #404040;
    background-color: white;
    margin-top: 10px;
    font-size: 14px;
    font-weight: bold;
    font-style: italic;
    position: relative;
    text-rendering: optimizelegibility;
    text-shadow: 0 0 1px rgba(0,0,0,.5);
    z-index: 900;
}

#profileNav {
    border: 0px;
    color: #404040;
    background-color: white;
    margin-top: 10px;
    margin-bottom: 15px;
    padding-top: 0px;
    position: relative;
    z-index: 900;
}

#profileContact {
    margin: 0px;
    width: 400px;
    border: 1px solid;
    border-color: #A0C0E0;
    background-color: white;
}

#profileStatement {
    margin: 0px;
    width: 850px;
    max-width: 850px;
    border: 1px solid;
    border-color: #A0C0E0;
    background-color: white;
}

#profileStatementDetails {
    color: #404040;
    background-color: white;
}

#profileMembers {
    margin: 0px;
    width: 850px;
    max-width: 850px;
    border: 1px solid;
    border-color: #A0C0E0;
    background-color: white;
}

#profileMembersDetails {
    color: #404040;
    background-color: white;
}

/* cover profile area styles */

#coverContainer {
    width: 100%;
    position: relative;
    border: 1px solid;
    border-color: #A0C0E0;
    background-color: white;
}

.coverImageContainer {
    width: 100%;
    max-height: 350px;
    position: relative;
    border-left: 0px solid #A0C0E0;
    border-right: 0px solid #A0C0E0;
    margin-top: 0px;
    overflow: hidden;
    background-color: white;
}

.coverBackgroundImage {
    width: 100%;
    margin-top: 0;
    overflow: hidden;
}

#coverImageShade {
    min-height: 95px;
    position: absolute;
    margin-top: -95px;
    width: 850px;
}

.coverUploadButton {
    position: absolute;
    margin-top: 50px;
    margin-left: 800px;
    height: 32px;
    width: 32px;
}

.coverUploadButtonFile {
    background: url('../../Images/support/whitecam.png') no-repeat;
    height: 32px;
    width: 32px;
    overflow: hidden;
    cursor: pointer;
}

    .coverUploadButtonFile input {
        filter: alpha(opacity=0);
        opacity: 0;
        margin-left: -110px;
    }

.coverFileInput {
    height: 25px;
    cursor: pointer;
}

#coverImageLoad {
    width: 100%;
}

.coverUploadedImage {
    cursor: s-resize;
    position: absolute;
}

.coverSave {
    position: absolute;
    margin-top: 300px;
    margin-left: 740px;
    z-index: 1000;
}

.coverSaveButton:hover {
    text-decoration: none;
}

.coverSaveButton {
    font-weight: bold;
    padding: 7px 9px;
    background-color: #007788;
    color: white !important;
    font-size: 12px;
    font-family: Arial, Helvetica;
    cursor: pointer;
    text-decoration: none;
    border-width: 1px 1px 1px !important;
    border-style: solid;
    border-color: white;
    white-space: nowrap;
    display: -moz-inline-stack;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}
